Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.puppycrawl.tools.checkstyle.checks.whitespace
Class WhitespaceAroundCheck

    java.lang.Object
      com.puppycrawl.tools.checkstyle.api.AutomaticBean
          com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
              com.puppycrawl.tools.checkstyle.api.Check
                  com.puppycrawl.tools.checkstyle.checks.whitespace.WhitespaceAroundCheck

All Implemented Interfaces:
  Configurable, Contextualizable

    public class WhitespaceAroundCheck

extends Check

Checks that a token is surrounded by whitespace.

By default the check will check the following operators: `ASSERT`, `ASSIGN`, `BAND`, `BAND_ASSIGN`, `BOR`, `BOR_ASSIGN`, `BSR`, `BSR_ASSIGN`, `BXOR`, `BXOR_ASSIGN`, `COLON`, `DIV`, `DIV_ASSIGN`, `EQUAL`, `GE`, `GT`, `LAND`, `LCURLY`, `LE`, `LITERAL_CATCH`, `LITERAL_DO`, `LITERAL_ELSE`, `LITERAL_FINALLY`, `LITERAL_FOR`, `LITERAL_IF`, `LITERAL_RETURN`, `LITERAL_SYNCHRONIZED`, `LITERAL_TRY`, `LITERAL_WHILE`, `LOR`, `LT`, `MINUS`, `MINUS_ASSIGN`, `MOD`, `MOD_ASSIGN`, `NOT_EQUAL`, `PLUS`, `PLUS_ASSIGN`, `QUESTION`, `RCURLY`, `SL`, `SLIST`, `SL_ASSIGN`, `SR`, `SR_ASSIGN`, `STAR`, `STAR_ASSIGN`. `LITERAL_ASSERT`. `TYPE_EXTENSION_AND`.

An example of how to configure the check is:

     <module name="WhitespaceAround"/>

An example of how to configure the check for whitespace only around assignment operators is:

     <module name="WhitespaceAround">
         <property name="tokens"
                   value="ASSIGN,DIV_ASSIGN,PLUS_ASSIGN,MINUS_ASSIGN,STAR_ASSIGN,MOD_ASSIGN,SR_ASSIGN,BSR_ASSIGN,SL_ASSIGN,BXOR_ASSIGN,BOR_ASSIGN,BAND_ASSIGN"/>
     </module>

In addition, this check can be configured to allow empty method and/or constructor bodies. For example, a method with an empty body might look like:

        public void doSomething(int val) {}

To configure the check to allow empty method blocks use

       <property name="allowEmptyMethods" value="true" />

To configure the check to allow empty constructor blocks use

       <property name="allowEmptyConstructors" value="true" />

Also, this check can be configured to ignore the colon in an enhanced for loop. The colon in an enhanced for loop is ignored by default

To configure the check to ignore the colon

       <property name="ignoreEnhancedForColon" value="true" />

Version:
  1.0
Author:
  Oliver Burn

Constructor Summary
`WhitespaceAroundCheck()`

Method Summary
`int[]` | `getDefaultTokens()` Returns the default token a check is interested in.
`void` | `setAllowEmptyConstructors(boolean aAllow)` Sets whether or not empty constructor bodies are allowed.
`void` | `setAllowEmptyMethods(boolean aAllow)` Sets whether or not empty method bodies are allowed.
`void` | `setIgnoreEnhancedForColon(boolean aIgnore)` Sets whether or not to ignore the whitespace around the colon in an enhanced for loop.
`void` | `visitToken(DetailAST aAST)` Called to process a token.

Methods inherited from class com.puppycrawl.tools.checkstyle.api.Check
`beginTree, destroy, finishTree, getAcceptableTokens, getClassLoader, getFileContents, getLines, getRequiredTokens, getTabWidth, getTokenNames, init, leaveToken, log, log, setClassLoader, setFileContents, setMessages, setTabWidth, setTokens`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
`getCustomMessages, getId, getMessageBundle, getSeverity, getSeverityLevel, log, setId, setSeverity`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AutomaticBean
`configure, contextualize, finishLocalSetup, getConfiguration, setupChild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WhitespaceAroundCheck

    public WhitespaceAroundCheck()

Method Detail

### getDefaultTokens

    public int[] getDefaultTokens()

  Description copied from class: `Check`
  Returns the default token a check is interested in. Only used if the configuration for a check does not define the tokens.

  Specified by:
    `getDefaultTokens` in class `Check`
  Returns:
    the default tokens
  See Also:
    `TokenTypes`

### setAllowEmptyMethods

    public void setAllowEmptyMethods(boolean aAllow)

  Sets whether or not empty method bodies are allowed.

  Parameters:
    `aAllow` - `true` to allow empty method bodies.

### setAllowEmptyConstructors

    public void setAllowEmptyConstructors(boolean aAllow)

  Sets whether or not empty constructor bodies are allowed.

  Parameters:
    `aAllow` - `true` to allow empty constructor bodies.

### setIgnoreEnhancedForColon

    public void setIgnoreEnhancedForColon(boolean aIgnore)

  Sets whether or not to ignore the whitespace around the colon in an enhanced for loop.

  Parameters:
    `aIgnore` - `true` to ignore enhanced for colon.

### visitToken

    public void visitToken(DetailAST aAST)

  Description copied from class: `Check`
  Called to process a token.

  Overrides:
    `visitToken` in class `Check`
  Parameters:
    `aAST` - the token to process

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011. All Rights Reserved.